Bug 1312606 - [abrt] gnome-shell: make_logical_config(): gnome-shell killed by SIGABRT
[abrt] gnome-shell: make_logical_config(): gnome-shell killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:94fc99216eae282e7eff50412cf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 15:00 EST by Philipp Gampe
Modified: 2016-12-20 14:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:04:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.43 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: core_backtrace (4.11 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: dso_list (26.12 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: environ (1.76 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: maps (130.60 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: mountinfo (4.15 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: open_fds (3.87 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details
File: var_log_messages (3.21 KB, text/plain)
2016-02-27 15:00 EST, Philipp Gampe
no flags Details

  None (edit)
Description Philipp Gampe 2016-02-27 15:00:14 EST
Description of problem:
1. Lock screen.
2. Wait until the monitor goes to sleep.
3. Relogin
3a) run a script:
xrandr --output DP2-2 --off
xrandr --output DP2-2 --auto
xrandr --output DP2-1 --auto
xrandr --output eDP1 --auto
xrandr --output DP2-1 --right-of DP2-2
Left monitor shows stripes
3b) run the script again
4. Gnome Shell reports crash

Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: make_logical_config
executable:     /usr/bin/gnome-shell
global_pid:     27643
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #4 make_logical_config at backends/meta-monitor-manager.c:260
 #5 meta_monitor_manager_rebuild_derived at backends/meta-monitor-manager.c:1397
 #6 meta_monitor_manager_xrandr_handle_xevent at backends/x11/meta-monitor-manager-xrandr.c:1513
 #7 handle_host_xevent at backends/x11/meta-backend-x11.c:327
 #8 x_event_source_dispatch at backends/x11/meta-backend-x11.c:387
 #13 meta_run at core/main.c:437
Comment 1 Philipp Gampe 2016-02-27 15:00:18 EST
Created attachment 1131155 [details]
File: backtrace
Comment 2 Philipp Gampe 2016-02-27 15:00:20 EST
Created attachment 1131156 [details]
File: cgroup
Comment 3 Philipp Gampe 2016-02-27 15:00:21 EST
Created attachment 1131157 [details]
File: core_backtrace
Comment 4 Philipp Gampe 2016-02-27 15:00:23 EST
Created attachment 1131158 [details]
File: dso_list
Comment 5 Philipp Gampe 2016-02-27 15:00:24 EST
Created attachment 1131159 [details]
File: environ
Comment 6 Philipp Gampe 2016-02-27 15:00:25 EST
Created attachment 1131160 [details]
File: limits
Comment 7 Philipp Gampe 2016-02-27 15:00:27 EST
Created attachment 1131161 [details]
File: maps
Comment 8 Philipp Gampe 2016-02-27 15:00:29 EST
Created attachment 1131162 [details]
File: mountinfo
Comment 9 Philipp Gampe 2016-02-27 15:00:30 EST
Created attachment 1131163 [details]
File: namespaces
Comment 10 Philipp Gampe 2016-02-27 15:00:31 EST
Created attachment 1131164 [details]
File: open_fds
Comment 11 Philipp Gampe 2016-02-27 15:00:33 EST
Created attachment 1131165 [details]
File: proc_pid_status
Comment 12 Philipp Gampe 2016-02-27 15:00:34 EST
Created attachment 1131166 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-11-24 10:48:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 14:04:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.